import React, { useEffect, useMemo, useState } from 'react'
import Taro from '@tarojs/taro'
import { useSelector } from 'react-redux'
import { View, Image,Text } from '@tarojs/components'
import  Layout from '../../layout/index'
import Tab from '../../compents/tab/index'
import Register from './register/index'
import Guide from '../guide/index'
import Recommend from '../recommend/index'
import NavCustom from '../../compents/navcustom'

import './index.scss'
import request from '../../util/request'
import usericon from '../../assets/usericon.png'

const index = (props) => {
  const {houseId,orderId} = props
 
  const user = useSelector(state => state.user)

  const [pageState, setPageState] = useState('3')
  const [orderInfo, setOrderInfo] = useState()
  const [houseInfo, setHouseInfo] = useState()
  const [surroundList, setSurroundList] = useState()
  const [regUnFinished, setRegUnFinished] = useState(true)


  const handleRegisterFinished = () => {
    setRegUnFinished(false)
  }

  useEffect(() => {
    
    if(props.orderId){
      request({url: `/taHouseOrder/${props.orderId}`,}).then(res=>{
        const data = res.data.data
        console.log(data,'props.orderId')
        setOrderInfo(data)
        setRegUnFinished(data.status !== 1)
      })
    }
  }, [props.orderId])

  useEffect(() => {
    if(props.orderId && regUnFinished){
      setPageState('1')
    }
  }, [props.orderId, regUnFinished])
  
  useEffect(() => {
    console.log(props.houseId && (!props.orderId || !regUnFinished),'data')
    if(props.houseId && (!props.orderId || !regUnFinished)){
      request({url: `/taHouse/${props.houseId}`,}).then(res=>{
        const data = res.data.data
        console.log(data,'data')
        setHouseInfo(data)
        setPageState('2')
      })
    }

    request({url:'/taHouseSurround', params:{houseId:houseId}}).then((res)=>{
        const { records } = res.data.data  
        setSurroundList(records)
    })

  }, [props.houseId, props.orderId, regUnFinished])
 
  return (
    <View className='index' >

<NavCustom houseInfo={houseInfo}></NavCustom>
      {pageState=='1'&&<Register oderId={orderId} dataSource={orderInfo} onFinished={handleRegisterFinished}></Register>}

      {pageState!='1'&&<Layout type='custom'>

        {pageState=='2'&&<Guide houseId={houseId} dataSource={houseInfo}></Guide>  }
        {pageState=='3'&&<Recommend houseId={houseId} dataSource={surroundList}></Recommend>  }
      </Layout>}
    {/* !!houseId&& */}
      {pageState!='1' && (
        <Tab
        styleType='tab'
          value={['入住指引','房东推荐']}
          pageState={pageState}
          onClick={[(e) => setPageState('2'),(e) => setPageState('3')]} />
      )}
    </View>
  )
  
  
}

export default index